%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define variant_titlecase Server
%define variant_lowercase server
%define release_name Maipo
%define base_release_version 7
%define full_release_version 7.2
%define dist_release_version 7
#define beta Beta
%define dist .el%{dist_release_version}

Name:           redhat-release%{?variant_lowercase:-%{variant_lowercase}}
Epoch:          1
Version:        %{full_release_version}
Release:        9.0.1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{version}-%{release}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}%{?variant_titlecase}
Source1:        85-display-manager.preset
Source2:        90-default.preset


%description
Dummy package %{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep

%build

%install
rm -rf %{buildroot}

# copy systemd presets
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Thu Nov 19 2015 Jacob Wang <jacob.wang@oracle.com> - 7.2-9.0.1.el7
- Set the epoch to prevent upgrade conflict with OL6 version [bug 20681742]
  Dummy package for OL7

* Fri Oct 23 2015 Jan Blazek <jblazek@redhat.com> - 7.2-9.el7
- Make /etc/os-release a config file (without noreplace)
- Resolves: #1257142

* Tue Oct 20 2015 Jan Blazek <jblazek@redhat.com> - 7.2-8.el7
- Rebuild for GA

* Thu Sep 10 2015 Jan Blazek <jblazek@redhat.com> - 7.2-7.el7
- Add unbound-anchor.timer to default.preset
- Resolves: #1215645

* Fri Sep 04 2015 Jan Blazek <jblazek@redhat.com> - 7.2-6.el7
- Include correct RHEL 7.2 Beta certificates
- Resolves: #1259820

* Thu Jul 30 2015 Jan Blazek <jblazek@redhat.com> - 7.2-4.el7
- Add hypervfcopyd to default.preset
- Resolves: #1193616

* Thu Jul 23 2015 Jan Blazek <jblazek@redhat.com> - 7.2-3.el7
- Remove the Initial Setup units from the systemd preset file
- Resolves: #1215226

* Wed Jul 22 2015 Jan Blazek <jblazek@redhat.com> - 7.2-2.el7
- Specify Beta in PRETTY_NAME in /etc/os-release
- Resolves: #1224247

* Mon Jun 15 2015 Lubos Kocman <lkocman@redhat.com> - 7.2-1.el7
- Include default productids
- Bump for 7.2 Beta
- Resolves: #1080007

* Thu Feb 12 2015 Jan Blazek <jblazek@redhat.com> - 7.1-1.el7_1.1
- Rebuild for 7.1.z

* Mon Feb 02 2015 Jan Blazek <jblazek@redhat.com> - 7.1-1.el7
- Rebuild for GA

* Fri Jan 09 2015 Jan Blazek <jblazek@redhat.com> - 7.1-0.3.el7
- Specify Beta in /etc/os-release
- Resolves: #1177449

* Thu Sep 25 2014 Jan Blazek <jblazek@redhat.com> - 7.1-0.1.el7
- Rebuilt for 7.1 Beta

* Wed Apr 30 2014 Daniel Mach <dmach@redhat.com> - 7.0-1.el7_0.1
- Rebuild for 7.0.z

* Tue Apr  1 2014 Daniel Mach <dmach@redhat.com> - 7.0-1.el7
- Rebuild for GA

* Tue Feb 25 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.12.el7
- Fix variant_titlecase macro usage

* Wed Feb 19 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.11.el7
- Enable microcode.service by default

* Tue Feb 18 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.10.el7
- Update EULA text

* Wed Feb 12 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.9.el7
- Add systemd presets
- Resolves: #903690

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.8.el7
- Mass rebuild 2014-01-24

* Wed Jan 15 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.7
- Add ID_LIKE, HOME_URL and BUG_REPORT_URL fields to /etc/os-release
- Make /etc/os-release a config file

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.6
- Mass rebuild 2013-12-27

* Fri Nov  8 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.5
- Rebuild for Beta
